//+--------------------------------------------------------------------------------------------+
//|                                                                     SoundAlertAtNewBar.mq4 |
//|                                                             Copyright  2011, Serega Lykov |
//|                                                                 http://mtexperts.narod.ru/ |
//+--------------------------------------------------------------------------------------------+

#property copyright "Copyright  2011, Serega Lykov"
#property link      "http://mtexperts.narod.ru/"

//----   --------------------------------------------------------------------+
#property indicator_chart_window
#property indicator_buffers 0

//----   ----------------------------------------------------------------------+
extern int    TimeFrame                       = 0;
extern int    Alert_BeforeSeconds             = 60;
extern string SoundFile                       = "alert.wav";

//-----   -----------------------------------------------------------------+
static int      tf_seconds;
static bool     sound_alert;
static datetime bartime;

//---------------------------------------------------------------------------------------------+
//----   ---------------------------------------------------------------+
//---------------------------------------------------------------------------------------------+
int init()
  {
   if(TimeFrame <= 0) TimeFrame = Period();
   tf_seconds = 60 * TimeFrame;
   sound_alert = StringLen(SoundFile) > 0;
   //----  ""   ----------------------------------------------+
   IndicatorShortName("SoundAlertAtNewBar");
   //----   -----------------------------------------------------------------+
   return(0);
   Print("---- Programming by Serega Lykov, http://mtexperts.narod.ru/ ----");
  }

//---------------------------------------------------------------------------------------------+
//----   -------------------------------------------------------------+
//---------------------------------------------------------------------------------------------+
int deinit()
  {
   //----   ---------------------------------------------------------------+
   return(0);
  }

//---------------------------------------------------------------------------------------------+
//----   ---------------------------------------------------------------------------+
//---------------------------------------------------------------------------------------------+
int start()
  {
   datetime current_bartime = iTime(NULL,TimeFrame,0);
   if(bartime != current_bartime)
     {
      datetime next_bartime = current_bartime + tf_seconds;
      if((next_bartime - TimeCurrent()) <= Alert_BeforeSeconds)
        {
         if(sound_alert) PlaySound(SoundFile);
         bartime = current_bartime;
        }
     }
   //----   -----------------------------------------------------------------+
   return(0);
  }

//-------------------------------- programming by Serega Lykov, http://mtexperts.narod.ru/ ----+